# Gimp.Config.prototype.serialize_to_file

    function serialize_to_file(file: Gio.File, header: String, footer: String, data: void): Boolean {
        // Gjs wrapper for gimp_config_serialize_to_file()
    }

Serializes the object properties of config to the file specified by file. If a file with that name already exists, it is overwritten. Basically this function opens file for you and calls the serialize function of the config's [iface@ConfigInterface].

Since 2.10

file

  the file to write the configuration to.

header

  optional file header (must be ASCII only)

footer

  optional file footer (must be ASCII only)

data

  user data passed to the serialize implementation.

Returns

  true if serialization succeeded, false otherwise.